import React, { useContext } from 'react';
import { useLocation, matchPath } from 'react-router-dom';
import { GamesContext } from '../../context/games';

import { Color, Player, Board } from '../../components/Checkers';
import './GameBoard.css';

export default function GameBoard() {
  const games = useContext(GamesContext);
  const {pathname} = useLocation();

  var whiteName = '';
  var blackName = '';

  if (matchPath('/games/new', pathname)) {
    whiteName = games.newGame.whitePlayer;
    blackName = games.newGame.blackPlayer;
  }

  return (
    <div className='GameBoard'>
      <Player color={Color.white} name={whiteName} />
      <Board />
      <Player color={Color.black} name={blackName} />
    </div>
  )
}