import React, { useContext } from 'react';
import Wobler from '../../../components/Wobler';
import { GamesContext } from '../../../context/games';

export default function Cancel({ onClick }) {
    const games = useContext(GamesContext);

    const selectedGame = games.findGame({ uuid: games.proposal.selectedUUID });
    const isReady = selectedGame?.status === 'GAME_PROPOSAL_WAIT_FOR_OPPONENT' ? true : '';

    if (selectedGame?.status === 'GAME_PROPOSAL_WAIT_FOR_OPPONENT')
        return (
            <button className={'Cancel' + (isReady && ' ready')}
                onClick={() => isReady ? onClick(selectedGame.uuid) : alert('You have to select pending GameProposal')}
            >
                <Wobler text="Cancel" dance={games.isPushingGameProposalCancel} />
            </button>
        )
}
