import React, { useContext } from 'react';
import Wobler from '../../../components/Wobler';
import { GamesContext } from '../../../context/games';

export default function Reject({ onClick }) {
    const games = useContext(GamesContext);

    const selectedGame = games.findGame({ uuid: games.proposal.selectedUUID });
    const isReady = selectedGame?.status === 'GAME_PROPOSAL_WAIT_FOR_YOU' ? true : '';

    if (selectedGame?.status !== 'GAME_PROPOSAL_WAIT_FOR_OPPONENT')
        return (
            <button className={'Reject' + (isReady && ' ready')}
                onClick={() => isReady ? onClick(selectedGame.uuid) : alert('You have to select some GameProposal')}
            >
                <Wobler text="Reject" dance={games.isPushingGameProposalReject} />
            </button>
        )
}